Help Basic Settings This section helps to setup a fast-startup configuration. It allows the configuration of the first Outgoing Stream destination and of the Incoming Stream socket. See Streaming section help for further information. Network Settings Use SonicIP If set to "yes", the device will announce its IP address over the audio output during device startup. Default: "yes". IP Address Enter the 4 values of the desired device IP address e.g.: "0.0.0.0" for automatic discovery (DHCP/BOOTP, IPzator, AutoIP) "192.168.0.12" for an internal LAN Default: "0.0.0.0". Netmask Enter the 4 values of the desired Static IP e.g.: "0.0.0.0" for a default Netmask depending on the used IP Address. "255.255.255.0" for a C class network Default: "0.0.0.0". Gateway IP Address Enter the 4 values of the desired Gateway IP address. Default: "0.0.0.0". Primary DNS In this field you can give the device the desired primary DNS IP address to be able to connect to URLs (e.g. www.radio.com). Default: "0.0.0.0". Alternative DNS In this field you can give the device the desired alternativ DNS IP address in case the primary DNS is not reachable. Default: "0.0.0.0". Syslog Address Destination address for syslog messages sent by the BCL program via the SYSLOG command. Set this to your syslog logging machine, if your syslog messages are recorded centrally. If set to 0.0.0.0, syslog messages are broadcast. Default: "0.0.0.0". DHCP Host Name Name of the device sent in DHCP request. If left empty, a name based on the device's MAC address is generated automatically. Enter up to 15 characters. Default: empty. Web Server Port Defines the port where the webserver of the Barix device can be reached. Default: 80. QoS/DSCP Quality of Service/Differenciated Service Code Point (DSCP). If this field is set, QoS in IP header will set to this value while forwarding packets to destination hosts or routers. This supersedes the IP4 Type of Service (ToS) value and uses the same byte. Valid values are 0-63. Default: 0. Streaming Outgoing Stream: This section is visible for the following site types: Studio Encoder Studio Encoder/Decoder Transmitter Encoder/Decoder Stream destinations Up to 8 audio destinations can be configured, each one with the following fields: stream method, IP/URL and port. Example:
    Stream Method  URL              Port
    Push (RTP)     192.168.2.30     4041
    Multicast      239.255.231.187  4042
    Pull (BRTP)    0.0.0.0          4043
Streaming Mode Allows to select the condition to start streaming to the remote destination(s). NOTE: if Streaming Mode is set to "never" but a destination ip and port is configured, device will start to send out the stream in anyway. Input Trigger Level Triggering input audio level if "send on level" mode is selected. Accepted range: 0-32767 [default: 1000] Input Inactivity Timeout Streaming starts/stops after this number of milliseconds: - for "send on input1/input2", if the button is pressed/released (to prevent accident action) - for "send on level", if input audio signal is more/less than "Input Trigger Level" [default: 1000 msecs]" Keep-alive Period Set a period for sending keep-alive to the remote peer. Incoming Stream: For the incoming audio stream, following fields can be configured: stream method, IP/URL and port [default: RTP ANY:3030]. Example
    Stream Method  URL              Port
    Push (RTP)     0.0.0.0          4041
    Multicast      239.255.231.187  4042
    Pull (BRTP)    192.168.2.31     4043
RTP delay The RTP decoder keeps constant decoding latency within one frame accuracy. Set the required delay in milliseconds. To synchronise multiple receivers to the same stream, set all to the same value. The delay value should be set large enough to cope with network jitter (difference in packets delivery time) and possible packet loss. Increase the value if you are experiencing audio dropout. [default: 600 msecs] Recommended safe settings and Maximum Half and Full Duplex possible delay (msecs): NOTE : RTP delay values greater than the maximum limits are rounded down to the maximum limit value.
Audio format | Rec. | Max. HD | Max. FD
µ/A-law 8kHz mono | 444 | 4076 | 2038
µ/A-law 24kHz mono | 188 | 1345 | 672
PCM 8kHz mono | 444 | 2028 | 1014
PCM 24kHz mono | 188 | 663 | 331.5
PCM 16kHz stereo | 220 | - | 246
PCM 32kHz stereo | 110 | - | 123
PCM 44.1kHz stereo | 80 | 178 | 89
PCM 48kHz stereo | 72 | 164 | 82
MP3 | 600 | (*) | (*)
(*) For more details about the RTP settings please visit the RTP Buffering on Barix Wiki. Contact Sync On a decoder-configured device, sometime the user may need to synchronize the incoming "remote input" contact closure information with the incoming audio message, expecting for example a local contact closure synchronized exactly in a certain moment of the audio message. Enable this setting to have a synchronized remote input processing. [default: disabled] NOTE: Contact Sync option use the RTP delay value for the synchronization, using an RTP delay greater than the maximum possible delay is allowed but will break the contact synchronization. Output Trigger Level Triggering output audio level, when relay setting "ON while OUT audio ON/OFF" is selected . Accepted range: 0-32767 [default: 1000] Output Inactivity Timeout Inactivity timeout for audio output. Used from the following features: - for "ON while OUT audio ON/OFF", to prevent fast switching of the relay contact. [default: 1000 msecs]" Audio Input source Choose the desired input source. Line mono and MIC input are mono, the other settings are stereo. The options available depend on the HW according to the table below. The Exstreamer 500 and Exstreamer 1000 have external Analogue to Digital circuitry which support input speeds of 32 and 48kHz. The selection provides a better input signal to noise ratio, however the A/D gain is fixed and cannot be adjusted.. Default setting is "Line stereo".
Inst 100 | Ex 500 | Ex 1000 | Ann 100/200 | Ann 1000 | Ann 155
Line Mono | Line Mono | Line Mono | Line Mono | Line Mono | -
Line Stereo | Line Stereo | Line Stereo | Line Stereo | Line Stereo | -
- | - | - | MIC | MIC | MIC
SPDIF optical | - | AES-EBU | - | - | -
SPDIF coaxial | Line Ext ADC | Line Ext ADC | - | - | -
NOTE: using SPDIF input on Instreamer 100, selecting PCM, µ-law or A-law, use of the optical input is mandatory. Input Gain Select the desired input gain. Microphone Gain Select the desired microphone input gain. Visible only for device types that support the Microphone Input Output Audio Level Select the desired output volume, in dB. The maximum volume depends on the hardware type and is typically 0 dB, however, on some devices volume can be up to +12 dB. Output Audio Level Offset Select the desired output volume offset in dB. When set to Auto, an automatic adjustment is done from the application, when a particular hardware type require it. Fading Effect Enable a fading effect of the audio on a new incoming stream or when an USB message needs to be played. Format Select the desired audio format. MPEG Bitrate Mode In MPEG formats select between VBR (variable bitrate) and CBR (constant bitrate). NOTE: if CBR option is not visible, this mean the hardware is not supporting this feature. [default: VBR] MPEG CBR Bitrate If MPEG CBR encoding is selected the audio compression level (and consequently the audio quality) is selected by this field. Select the audio bit rate in kilobits per second. Please note that depending on the sampling rate not all bitrates are available. [default: 128 kbit/sec] MPEG Bit Reservoir If MPEG CBR encoding is selected this option allows to use or clear MPEG Bit Reservoir. [default: use] Sample Rate Select the desired sample rate. NOTE: only the available sample rates for the selected audio format will be shown. Quality Field is visible for MPEG audio formats only, allows to select the desired MPEG quality. Higher is the quality, more the MPEG compression get decreased, increasing the bandwidth consumption. I/O and Control This section allows to configure every contact, with a selectable specific function, and all the device alarm-sending features: NOTE: the contact closure information is transferred from the encoder to the decoder through the keep-alive packet. If keep-alive option is disabled no information related to the input contacts state will be transferred to the remote device. Relay (1 to 8) Mode Select the relay ON mode. SNMP Destinations IP(s) For alarm sending, set the desired list (colon separated) of SNMP destinations. SMTP Server IP/DNS For alarm sending, set the desired SMTP server. Local e-mail (FROM:) FROM mail address, for SMTP alarm service. Destination e-mail(s) (TO:) TO mail address, for SMTP alarm service. Serial This section allows to configure communication settings for serial ports 1 and 2. Baud rate, parity, data bits, stop bits and handshake can be set for each port. UDP/TCP Control Port for COM1/2 Local UDP/TCP port for serial gateway to COM1/2: for UDP use a positive value (from 1 to 32768), for TCP use a negative value (from -1 to -32768), set to 0 to disable the gateway. Any chars received on this port from network will be sent to COM1/2. Any chars received on COM1/2 will be sent to: - the latest remote UDP/TCP Host:Port that has already initated/established connection from the network - else to the same UDP port number of current destination remote IP (by current keep-alive info) TCP Serial Gateway One device must be the listener (server), the other must try to connect to the listener device (client). Server side setup: set Keep-alive Period as 0, the device will act as a TCP server, using the configured serial port (example -1000) Client side setup: set the same TCP port number (-1000) and a keep alive period greater than 0. UDP Serial Gateway Set the same serial port (positive value) on both devices. Set to a value between -32767 and 32768. [default port is 0 (disabled)]. Security Settings This section allows to configure the device password and other security settings. Reset Function Enable or disable the "Reset" function on the Reset button and on the WEB UI. In order to restart the device press the Reset button once. Default: "enabled" Factory Defaults Enable or disable the "Factory Defaults" function on the Reset button. In order to revert all settings to factory defaults keep the Reset button pressed until the red LED starts blinking (approx. 10 seconds). Default: "enabled" Update Function Enable or disable the WEB Update function of the device. If the Update function is disabled, the only way to update the firmware is to use the serial rescue. Default: "enabled" Set Password This is visible as long as no password is set. Enter a password (up to 25 characters) and hit the "Apply" button. After the restart you should close the browser window and open a new browser window. You will be asked to supply user name and password. The user name can be omitted but the password has to be supplied in order to see the web configuration. Old Password / New Password These fields are visible as long as a password is set. To allow free access (clearing the password) enter the old password and leave the field "New Password" empty. Enter the old password in the password field above the "Apply" button as well and then hit the "Apply" button. After the restart you will not be asked for user name and password anymore. To change the password enter the old password and enter the new password in the field "New Password". Enter the old password in the password field above the "Apply" button as well and then hit the "Apply" button. After the restart you will be asked for user name and password. The user name can be omitted but the new password has to be supplied in order to see the web configuration.